---
title: Array.prototype.toSource()
slug: Web/JavaScript/Reference/Global_Objects/Array/toSource
tags:
  - Array
  - JavaScript
  - Method
  - Non-standard
  - Prototype
  - Reference
---
<div>{{JSRef}} {{obsolete_header}}</div>

<p>The <code><strong>toSource()</strong></code> method returns a string representing the source code of the array.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><var>arr</var>.toSource()</pre>

<h3 id="Return_value">Return value</h3>

<p>A string representing the source code of the array.</p>

<h2 id="Description">Description</h2>

<p>The <code>toSource</code> method returns the following values:</p>

<ul>
 <li>For the built-in {{jsxref("Array")}} object, <code>toSource</code> returns the following string indicating that the source code is not available:

  <pre class="brush: js">function Array() {
    [native code]
}
</pre>
 </li>
 <li>For instances of {{jsxref("Array")}}, <code>toSource</code> returns a string representing the source code.</li>
</ul>

<p>This method is usually called internally by JavaScript and not explicitly in code. You can call <code>toSource</code> while debugging to examine the contents of an array.</p>

<h2 id="Examples">Examples</h2>

<h3 id="Examining_the_source_code_of_an_array">Examining the source code of an array</h3>

<p>To examine the source code of an array:</p>

<pre class="brush: js">var alpha = new Array('a', 'b', 'c');

alpha.toSource();
//returns ['a', 'b', 'c']
</pre>

<h2 id="Specifications">Specifications</h2>

<p>Not part of any standard. Implemented in JavaScript 1.3.</p>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("javascript.builtins.Array.toSource")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{jsxref("Object.prototype.toSource()")}}</li>
 <li>{{jsxref("Array.prototype.toString()")}}</li>
</ul>
